<div #mainDiv class = "main-div">
    <h1 class = "tittle">Lista de<br>cadastro</h1>
        <div class="table-div">
            <div class="table-header">
                <div (click)="setActiveIndex(0)">
                    <span>1</span>
                </div>
                <div (click)="setActiveIndex(1)">
                    <span>2</span> 
                </div>
                <div (click)="setActiveIndex(2)">
                    <span>3</span>
                </div>
                <div class="last-child" (click)="setActiveIndex(3)">
                    <span>4</span>
                </div>
            </div>
            <div class="table-body">
                <div *ngFor="let element of arrayMobileTable[activeIndex]" class="table-element">
                    <div *ngIf="element['key'] === 'NOME'" class = "first-element">
                        <span class="key">{{element['key']}}</span>
                        <span class="value">{{element['value']}}</span>
                    </div>
                    <div *ngIf="element['key'] !== 'NOME'">
                        <span class="key">{{element['key']}}</span>
                        <span *ngIf="element['key'] === 'E-MAIL'" class="value">{{element['value']}}</span>
                        <span *ngIf="element['key'] === 'NASC'" class="value">{{ element['value'] | mask: mascaraNascimento}}</span>
                        <span *ngIf="element['key'] === 'TEL.' && element['value'].length === 10" class="value">{{element['value'] | mask: mascaraTelefone}}</span>
                        <span *ngIf="element['key'] === 'TEL.' && element['value'].length === 11" class="value">{{element['value'] | mask: mascaraCelular}}</span>
                    </div>
                    <mat-divider style="border-color: #29abe2;"></mat-divider>
                </div>
            </div>
    </div>
</div>
